Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.design
Class JRDesignFont

    java.lang.Object
      net.sf.jasperreports.engine.base.JRBaseFont
          net.sf.jasperreports.engine.design.JRDesignFont

All Implemented Interfaces:
  java.io.Serializable, JRChangeEventsSupport, JRFont, JRStyleContainer

Direct Known Subclasses:
  JRDesignReportFont

    public class JRDesignFont

extends JRBaseFont

Version:
  $Id: JRDesignFont.java 3033 2009-08-27 11:46:22Z teodord $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `PROPERTY_DEFAULT_FONT_PROVIDER`

Fields inherited from class net.sf.jasperreports.engine.base.JRBaseFont
`defaultFontProvider, fontName, fontSize, isBold, isItalic, isPdfEmbedded, isStrikeThrough, isUnderline, pdfEncoding, pdfFontName, PROPERTY_BOLD, PROPERTY_FONT_NAME, PROPERTY_FONT_SIZE, PROPERTY_ITALIC, PROPERTY_PDF_EMBEDDED, PROPERTY_PDF_ENCODING, PROPERTY_PDF_FONT_NAME, PROPERTY_REPORT_FONT, PROPERTY_STRIKE_THROUGH, PROPERTY_UNDERLINE, reportFont, styleContainer`

Fields inherited from interface net.sf.jasperreports.engine.JRFont
`DEFAULT_FONT_NAME, DEFAULT_FONT_SIZE, DEFAULT_PDF_EMBEDDED, DEFAULT_PDF_ENCODING, DEFAULT_PDF_FONT_NAME`

Constructor Summary
`JRDesignFont()`
`JRDesignFont(JRDefaultFontProvider defaultFontProvider)` Deprecated. To be removed in future versions.

Method Summary
`void` | `setDefaultFontProvider(JRDefaultFontProvider defaultFontProvider)`
`void` | `setReportFont(JRReportFont reportFont)`

Methods inherited from class net.sf.jasperreports.engine.base.JRBaseFont
`getDefaultFontProvider, getDefaultStyleProvider, getEventSupport, getFontName, getFontSize, getOwnFontName, getOwnFontSize, getOwnPdfEncoding, getOwnPdfFontName, getOwnSize, getPdfEncoding, getPdfFontName, getReportFont, getSize, getStyle, getStyleNameReference, isBold, isItalic, isOwnBold, isOwnItalic, isOwnPdfEmbedded, isOwnStrikeThrough, isOwnUnderline, isPdfEmbedded, isStrikeThrough, isUnderline, setBold, setBold, setFontName, setFontSize, setFontSize, setItalic, setItalic, setPdfEmbedded, setPdfEmbedded, setPdfEncoding, setPdfFontName, setSize, setSize, setStrikeThrough, setStrikeThrough, setUnderline, setUnderline`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROPERTY_DEFAULT_FONT_PROVIDER

    public static final java.lang.String PROPERTY_DEFAULT_FONT_PROVIDER

See Also:
  Constant Field Values

Constructor Detail

### JRDesignFont

    public JRDesignFont()

### JRDesignFont

    public JRDesignFont(JRDefaultFontProvider defaultFontProvider)

  Deprecated. To be removed in future versions.

Method Detail

### setDefaultFontProvider

    public void setDefaultFontProvider(JRDefaultFontProvider defaultFontProvider)

### setReportFont

    public void setReportFont(JRReportFont reportFont)

  Specified by:
    `setReportFont` in interface `JRFont`
  Overrides:
    `setReportFont` in class `JRBaseFont`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com